(set 'newlispDir (env "NEWLISPDIR"))

(load (string newlispDir "/util/" "link.lsp"))
;(println (length (main-args))) 
(set 'prog_file (main-args 1))
(set 'option (main-args 2))
(set 'nl_program "newlisp.exe")
;(println prog_file " " option)

(if (not prog_file) 
  (begin 
    (println)
    (println "Program for creating console or gui application from newlisp file.")
    (println)
    (print "USAGE: nl_build_exe prog_file.lsp [gui]\n")
    (println)
    (exit)
  )
)

(set 'prog_name "")
(if (find ".lsp" prog_file)
 (set 'prog_name (slice prog_file 0 (find ".lsp" prog_file))) 
 (begin
  (println "This is not newlisp extention.")
  (exit)
 )
)

(if option
 (if (= (upper-case option) "GUI")
  (set 'nl_program "newlispw.exe")
 )
)
;(println nl_programm)
(set 'exe_file_name (string prog_name ".exe"))

(link (string newlispDir "/" nl_program) exe_file_name (string prog_name ".lsp"))

(println)
(println exe_file_name " Created.")
(println)
(exit)